Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class UserProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.security.UserProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

public class UserProcessor
extends AbstractPortalProcessor

A portal processor that validates the html login form (username, password, confirmpassword) and creates a new user in the Weblogic Realm. If the username or passwords do not validate (don't meet minimum lengths, passwords not equal) then an InvalidFormFieldException is thrown.
If a default portal group (PORTAL_DEFAULT_USER_GROUP) is defined in the web.xml, then the user is assigned to that group. If the user is successfully created `SecurityConstants.USER_CREATED` is added to the HttpSession attribute list so down stream processors can determine if a new user has been created.

Constructor Summary
`UserProcessor()`

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Process the webflow request.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserProcessor

    public UserProcessor()

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException,
                          com.bea.p13n.appflow.webflow.forms.InvalidFormDataException

  Process the webflow request.

  Specified by:
    `process` in class `AbstractPortalProcessor`
    `com.bea.p13n.appflow.exception.ProcessingException`
    `com.bea.p13n.appflow.webflow.forms.InvalidFormDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved